- Home
- Resources
- Layer Visibility API
HDC local layer visibility Web Service
GET /layervisibility/hide/{layerId}
Hide local layer
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| layerId |
path |
layer to be set with restrictions |
|
long |
Response Body
| media type |
data type |
description |
| application/json |
HdcSuccessTO
(JSON) |
JSON Response indicating where operation was successfully or not |
GET /layervisibility/setindex/{layerId}
Set visibility index for local layer
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| layerId |
path |
layer to be set with restrictions |
|
long |
| zindex |
query |
valoue ofg order index to be set |
0 |
long |
Response Body
| media type |
data type |
description |
| application/json |
HdcSuccessTO
(JSON) |
JSON Response indicating where operation was successfully or not |
GET /layervisibility/show/{layerId}
Show hidden local layer
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| layerId |
path |
layer to be set with restrictions |
|
long |
Response Body
| media type |
data type |
description |
| application/json |
HdcSuccessTO
(JSON) |
JSON Response indicating where operation was successfully or not |